Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
local_vars Struct Reference

## Data Fields
struct vtable * | args
struct vtable * | vars
struct vtable * | used
struct local_vars * | prev

## Detailed Description

Definition at line 188 of file ripper.c.

## Field Documentation

struct vtable * local_vars::args

Definition at line 189 of file ripper.c.

Referenced by local_push_gen().

struct local_vars * local_vars::prev

Definition at line 192 of file ripper.c.

Referenced by local_push_gen(), parser_free(), and parser_memsize().

struct vtable * local_vars::used

Definition at line 191 of file ripper.c.

Referenced by local_push_gen(), and warn_unused_var().

struct vtable * local_vars::vars

Definition at line 190 of file ripper.c.

Referenced by local_push_gen(), parser_free(), parser_memsize(), and warn_unused_var().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- ext/ripper/ripper.y
- parse.c
- parse.y